export default class Queue<T = string> {
    #private;
    constructor(capacity?: number);
    get size(): number;
    get isEmpty(): boolean;
    get isFull(): boolean | 0 | null;
    enqueue: (item: T) => number | undefined;
    dequeue: () => T | null;
    peek: () => T | null;
    clear: () => void;
    print: () => void;
    toString: () => string;
}
